## sphinx-removed-in 0.2.3

=== Makefile ===
test:
	flake8 setup.py sphinx_removed_in tests
	python -m pytest -v

build: test
	./setup.py sdist

upload: test
	./setup.py sdist upload

clean:
	./setup.py clean
	rm -rf *.egg-info/
	rm -f *.pyc sphinx_removed_in/*.pyc

distclean: clean
	rm -rf dist/

help:
	@echo "Usage: make <target>                   "
	@echo "                                       "
	@echo " test - run the tests                  "
	@echo " build - build the package             "
	@echo " upload - upload to PyPI               "
	@echo " clean - remove all build files        "
	@echo " distclean - remove all non git files  "
	@echo " help - show this help and exit        "

=== tests/requirements.txt ===
Sphinx
flake8
coverage
pytest

=== debian/changelog ===
sphinx-removed-in (0.2.3-2) unstable; urgency=medium

  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 25 Aug 2024 18:54:43 +0200

sphinx-removed-in (0.2.3-1) unstable; urgency=medium

  * [334dafc] New upstream version 0.2.3
  * [d08c7cf] First and basic Debianization
    (Closes: #1078788)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 16 Aug 2024 08:15:32 +0200

=== debian/control ===
Source: sphinx-removed-in
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
Build-Depends-Indep:
 python3-setuptools,
 pybuild-plugin-pyproject,
 python3-pytest <!nocheck>,
 python3-sphinx <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/MrSenko/sphinx-removed-in
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-removed-in
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-removed-in.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-sphinx-removed-in
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Sphinx extension recognizes *removed[-in] directives (Python 3)
 This Sphinx extension recognizes the .. versionremoved:: and .. removed-in::
 directives. These are missing from Sphinx'es core markup.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export PYBUILD_NAME=sphinx_removed_in
export PYBUILD_BEFORE_TEST=cp -a {dir}/docs {build_dir}/
export PYBUILD_BEFORE_INSTALL=rm -rf {build_dir}/docs

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .mypy_cache .pytest_cache

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 python3-pytest,
 python3-sphinx,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/MrSenko/sphinx-removed-in.git \
      refs/tags/@ANY_VERSION@
